<template>
<div class="view"
     id="home">
  <audio autoplay
         loop>
    <source src="../assets/audio/menu-theme.mp3"
            type="audio/mp3">
    <source src="../assets/audio/menu-theme.ogg"
            type="audio/ogg">
  </audio>
  <div class="background-wrapper"/>
  <router-link class="start-game"
               to="Game">
    Start Game
  </router-link>
</div>
</template>

<script>

export default {
  name: 'Home'
};
</script>

<style lang="scss" scoped>
@import '../scss/utils';
@import '../scss/colors';

.background-wrapper {
  @include _fit-screen();

  z-index:10;

  background: no-repeat center url('../assets/art/main-menu-background-splash.png');
  opacity: 0.7;
}

.start-game {
  -webkit-transition: all 250ms ease-in-out;
  transition: all 250ms ease-in-out;

  z-index: 100;
  padding: 16px;
  border: 3px solid $black;
  border-radius: 16px;

  background-color: $green;
  color: $black-light;
  font-size: 2em;
  text-decoration: none;

  &:hover {
    background-color: lighten($green, 10%);
    color: darken($black-light, 10%);
  }

  &:active {
    background-color: darken($green, 10%);
    color: lighten($black-light, 10%);
  }
}
</style>
